{
  config,
  lib,
  modulesPath,
  ...
}:
let
  cfg = config.khscodes.virtualisation.qemu-guest;
in
{
  config = lib.mkIf cfg.enable (
    (import "${modulesPath}/profiles/qemu-guest.nix" { })
    // {
      services.qemuGuest.enable = true;
    }
  );
}
